Bug 11792 - Use validation plugin when creating new currency
Summary: Use validation plugin when creating new currency
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/admin/currency.pl?op=ad...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-19 16:59 UTC by Owen Leonard
Modified: 2014-12-07 20:05 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11792 - Use validation plugin when creating new currency (4.27 KB, patch)
2014-02-19 17:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 11792 - Use validation plugin when creating new currency (4.29 KB, patch)
2014-02-20 03:48 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 11792 - Use validation plugin when creating new currency (4.35 KB, patch)
2014-02-20 10:47 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2014-02-19 16:59:24 UTC
The new currency entry form uses custom validation JavaScript which can be easily replaced with HTML5 validation attributes in conjunction with Koha's built-in validation plugin (http://jqueryvalidation.org/documentation/).
Comment 1 Owen Leonard 2014-02-19 17:01:52 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2014-02-20 03:48:44 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-02-20 10:47:56 UTC
Created attachment 25489 [details] [review]
Bug 11792 - Use validation plugin when creating new currency

The page for adding a new currency includes some custom form
validation JavaScript which can be removed in favor of HTML5 validation
attributes and Koha's built-in validation plugin. This patch does so.

To test, apply the patch and go to Administration -> Currencies &
Exchange rates -> New currency. Try submitting the form without entering
a currency, rate, and/or symbol. This should trigger a validation warning.

Submission of the form with valid data should work correctly. Editing an
existing currency should also work correctly.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Galen Charlton 2014-02-20 17:08:16 UTC
Pushed to master.  Thanks, Owen!
Comment 5 Fridolin Somers 2014-05-21 08:11:48 UTC
Pushed to 3.14.x, will be in 3.14.07